Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# EC_Lifetime_Utils_T.i File Reference

`#include <algorithm>`

Include dependency graph for EC_Lifetime_Utils_T.i:

This graph shows which files directly or indirectly include this file:

## Functions
template<class X, class Y> ACE_INLINE bool | operator== (TAO_EC_Servant_Var< X > const &x, TAO_EC_Servant_Var< Y > const &y)
| Compare two TAO_EC_Servant_Vars for equivalence.
template<class X, class Y> ACE_INLINE bool | operator!= (TAO_EC_Servant_Var< X > const &x, TAO_EC_Servant_Var< Y > const &y)
| Compare two TAO_EC_Servant_Vars for non-equivalence.

## Function Documentation

template<class X, class Y>
ACE_INLINE bool operator!= | ( | TAO_EC_Servant_Var< X > const & | x,
|  | TAO_EC_Servant_Var< Y > const & | y
| ) |

| Compare two TAO_EC_Servant_Vars for non-equivalence.

template<class X, class Y>
ACE_INLINE bool operator== | ( | TAO_EC_Servant_Var< X > const & | x,
|  | TAO_EC_Servant_Var< Y > const & | y
| ) |

| Compare two TAO_EC_Servant_Vars for equivalence.